libgutenprint API Reference 5.3.6-2026-02-01T02-18-9b0bdf87

Data Structures | Typedefs | Enumerations | Functions
module.h File Reference

Module functions. More...

`#include <gutenprint/list.h>`

## Data Structures
struct | stp_module_version
struct | stp_module

## Typedefs
typedef struct stp_module_version | stp_module_version_t
typedef struct stp_module | stp_module_t

## Enumerations
enum | stp_module_class_t { STP_MODULE_CLASS_INVALID , STP_MODULE_CLASS_MISC , STP_MODULE_CLASS_FAMILY , STP_MODULE_CLASS_COLOR , STP_MODULE_CLASS_DITHER }

## Functions
int | stp_module_load (void)
int | stp_module_exit (void)
int | stp_module_open (const char *modulename)
int | stp_module_init (void)
int | stp_module_close (stp_list_item_t *module)
stp_list_t * | stp_module_get_class (stp_module_class_t class)

## Detailed Description

Module functions.

## Typedef Documentation

## ◆ stp_module_t

typedef struct stp_module stp_module_t

## ◆ stp_module_version_t

typedef struct stp_module_version stp_module_version_t

## Enumeration Type Documentation

## ◆ stp_module_class_t

enum stp_module_class_t

Enumerator
STP_MODULE_CLASS_INVALID |
STP_MODULE_CLASS_MISC |
STP_MODULE_CLASS_FAMILY |
STP_MODULE_CLASS_COLOR |
STP_MODULE_CLASS_DITHER |

## Function Documentation

## ◆ stp_module_close()

int stp_module_close | ( | stp_list_item_t * | module | ) |
| extern

## ◆ stp_module_exit()

int stp_module_exit | ( | void |  | ) |
| extern

## ◆ stp_module_get_class()

stp_list_t * stp_module_get_class | ( | stp_module_class_t | class | ) |
| extern

## ◆ stp_module_init()

int stp_module_init | ( | void |  | ) |
| extern

## ◆ stp_module_load()

int stp_module_load | ( | void |  | ) |
| extern

## ◆ stp_module_open()

int stp_module_open | ( | const char * | modulename | ) |
| extern